Skip to main content
GET
/
jobs
List Jobs
curl --request GET \
  --url https://api.example.com/jobs \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "variant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "job_type": "humanization",
    "status": "pending",
    "error_message": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "started_at": "2023-11-07T05:31:56Z",
    "completed_at": "2023-11-07T05:31:56Z",
    "submitted_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "canceled_at": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

variant_id
string<uuid> | null

Response

Successful Response

id
string<uuid>
required
variant_id
string<uuid>
required
job_type
enum<string>
required
Available options:
humanization,
structure,
stability,
immunogenicity,
complex,
codon_export
status
enum<string>
required
Available options:
pending,
running,
completed,
failed,
canceled
error_message
string | null
required
created_at
string<date-time>
required
started_at
string<date-time> | null
required
completed_at
string<date-time> | null
required
submitted_by
string<uuid> | null
canceled_at
string<date-time> | null